Input fields
Bootstrap 5 Input fields
Input fields refer specifically to the text input fields, which are used to obtain data from the users.
*
* UMD autoinits are enabled
by default. This means that you don't need to initialize
the component manually. However if you are using MDBootstrap ES format then you should pass
the required components to the initMDB method.
Basic example
A basic example of the input field consists of the input element with specified
ID and label element connected via this ID with the
input. Both elements are wrapped in .form-outline class which provides a material
design look.
<div class="form-outline" data-mdb-input-init>
<input type="text" id="form12" class="form-control" />
<label class="form-label" for="form12">Example label</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Sizing
Set heights using classes like .form-control-lg and
.form-control-sm.
<div class="form-outline" data-mdb-input-init>
<input type="text" id="formControlLg" class="form-control form-control-lg" />
<label class="form-label" for="formControlLg">Form control lg</label>
</div>
<div class="form-outline" data-mdb-input-init>
<input type="text" id="formControlDefault" class="form-control" />
<label class="form-label" for="formControlDefault">Form control default</label>
</div>
<div class="form-outline" data-mdb-input-init>
<input type="text" id="formControlSm" class="form-control form-control-sm" />
<label class="form-label" for="formControlSm">Form control sm</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Disabled
Add the disabled boolean attribute on an input to give it a grayed out appearance
and remove pointer events.
<div class="form-outline mb-3" data-mdb-input-init>
<input
class="form-control"
id="formControlDisabled"
type="text"
placeholder="Disabled input"
aria-label="disabled input example"
disabled
/>
<label class="form-label" for="formControlDisabled">Disabled</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Readonly
Add the readonly boolean attribute on an input to prevent modification of the input's value.
<div class="form-outline" data-mdb-input-init>
<input
class="form-control"
id="formControlReadonly"
type="text"
value="Readonly input here..."
aria-label="readonly input example"
readonly
/>
<label class="form-label" for="formControlReadonly">Readonly</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Types
Input types let you specified what data users should provide and help you validate it.
Text
The input type="text" defines a single-line text field.
<div class="form-outline" data-mdb-input-init>
<input type="text" id="typeText" class="form-control" />
<label class="form-label" for="typeText">Text input</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
The input field type="email" defines the email address field. The input value is automatically validated to ensure that it is a properly formatted email address.
<div class="form-outline" data-mdb-input-init>
<input type="email" id="typeEmail" class="form-control" />
<label class="form-label" for="typeEmail">Email input</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Password
The input field type="password" defines a password field, thus hiding characters as confidential information.
<div class="form-outline" data-mdb-input-init>
<input type="password" id="typePassword" class="form-control" />
<label class="form-label" for="typePassword">Password input</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Number
The input type="number" defines field for entering a number.
<div class="form-outline" data-mdb-input-init>
<input type="number" id="typeNumber" class="form-control" />
<label class="form-label" for="typeNumber">Number input</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Phone number
The input type="tel" defines a field for entering a telephone number.
<div class="form-outline" data-mdb-input-init>
<input type="tel" id="typePhone" class="form-control" />
<label class="form-label" for="typePhone">Phone number input</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
URL
The input type="url" defines a field for entering a URL.
<div class="form-outline" data-mdb-input-init>
<input type="url" id="typeURL" class="form-control" />
<label class="form-label" for="typeURL">URL input</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Textarea
The textarea tag defines a multi-line text input control.
<div class="form-outline" data-mdb-input-init>
<textarea class="form-control" id="textAreaExample" rows="4"></textarea>
<label class="form-label" for="textAreaExample">Message</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Text
Block-level or inline-level form text can be created using .form-text.
Associating form text with form controls
Form text should be explicitly associated with the form control it relates to using the
aria-describedby attribute. This will ensure that assistive technologies—such as
screen readers—will announce this form text when the user focuses or enters the control.
Form text below inputs can be styled with .form-text. If a block-level element
will be used, a top margin is added for easy spacing from the inputs above.
<div class="form-outline" data-mdb-input-init>
<input type="text" id="formTextExample1" class="form-control" aria-describedby="textExample1" />
<label class="form-label" for="formTextExample1">Example label</label>
</div>
<div id="textExample1" class="form-text">
We'll never share your email with anyone else.
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Inline text can use any typical inline HTML element (be it a <span>,
<small>, or something else) with nothing more than the
.form-text class.
<div class="row g-3 align-items-center">
<div class="form-outline col-auto" data-mdb-input-init>
<input type="password" id="formTextExample2" class="form-control" aria-describedby="textExample2" />
<label class="form-label" for="formTextExample2">Password</label>
</div>
<div class="col-auto">
<span id="textExample2" class="form-text"> Must be 8-20 characters long. </span>
</div>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Helper text
Add class form-helper to div to create helper text.
<div class="form-outline" data-mdb-input-init>
<input type="text" id="form14" class="form-control" />
<label class="form-label" for="form14">Example label</label>
<div class="form-helper">Example helper</div>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Character counter
Add an empty form-helper element, set
data-mdb-show-counter="true" and set the maxlength attribute to
create a counter.
<div class="form-outline" data-mdb-input-init>
<input type="text" id="form16" class="form-control" data-mdb-showcounter="true" maxlength="20" />
<label class="form-label" for="form16">Example label</label>
<div class="form-helper"></div>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Icons
Trailing icon
Add class trailing to i tag to create trailing icon in the input.
<div class="form-outline" data-mdb-input-init>
<i class="fas fa-exclamation-circle trailing"></i>
<input type="text" id="form1" class="form-control form-icon-trailing" />
<label class="form-label" for="form1">Example label</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
Password Visibility Toggle
Check the box or click the icon to reveal the password, allowing users to verify their input without retyping.
<!-- Icon example -->
<div class="form-outline mb-3" data-mdb-input-init>
<i class="far fa-eye trailing fa-fw pe-auto" id="show-password-toggle-icon"></i>
<input type="password" id="show-password-input-1" class="form-control form-icon-trailing" />
<label class="form-label" for="show-password-input-1">Example label</label>
</div>
<!-- Checkbox example -->
<!-- Password input -->
<div data-mdb-input-init class="form-outline mb-3">
<input type="password" id="show-password-input-2" class="form-control" />
<label class="form-label" for="show-password-input-2">Example label</label>
</div>
<!-- Checkbox -->
<div class="form-check d-flex justify-content-center mb-4">
<input class="form-check-input me-2" type="checkbox" value="" id="show-password-toggle-checkbox" />
<label class="form-check-label" for="show-password-toggle-checkbox">Show password</label>
</div>
// Initialization for ES Users
import { Input, initMDB } from "mdb-ui-kit";
initMDB({ Input });
// Icon Example
const passwordInput1 = document.getElementById('show-password-input-1');
const toggleIcon = document.getElementById('show-password-toggle-icon');
toggleIcon.addEventListener('pointerdown', (e) => {
e.preventDefault();
// Toggle input type between password and text
if (passwordInput1.type === 'password') {
passwordInput1.type = 'text';
toggleIcon.classList.remove('fa-eye');
toggleIcon.classList.add('fa-eye-slash');
} else {
passwordInput1.type = 'password';
toggleIcon.classList.remove('fa-eye-slash');
toggleIcon.classList.add('fa-eye');
}
});
// Checkbox example
const passwordInput2 = document.getElementById('show-password-input-2');
const toggleCheckbox = document.getElementById('show-password-toggle-checkbox');
toggleCheckbox.addEventListener('change', () => {
passwordInput2.type = toggleCheckbox.checked ? 'text' : 'password';
});
// Icon Example
const passwordInput1 = document.getElementById('show-password-input-1');
const toggleIcon = document.getElementById('show-password-toggle-icon');
toggleIcon.addEventListener('pointerdown', (e) => {
e.preventDefault();
// Toggle input type between password and text
if (passwordInput1.type === 'password') {
passwordInput1.type = 'text';
toggleIcon.classList.remove('fa-eye');
toggleIcon.classList.add('fa-eye-slash');
} else {
passwordInput1.type = 'password';
toggleIcon.classList.remove('fa-eye-slash');
toggleIcon.classList.add('fa-eye');
}
});
// Checkbox example
const passwordInput2 = document.getElementById('show-password-input-2');
const toggleCheckbox = document.getElementById('show-password-toggle-checkbox');
toggleCheckbox.addEventListener('change', () => {
passwordInput2.type = toggleCheckbox.checked ? 'text' : 'password';
});
Updating label width
If any form parent is hidden, after displaying it, update the input to recalculate width of the label using the following code:
document.querySelectorAll('.form-outline').forEach((formOutline) => {
new Input(formOutline).update();
});
document.querySelectorAll('.form-outline').forEach((formOutline) => {
new mdb.Input(formOutline).update();
});
Dynamic input initialization
If the input is dynamically loaded on the page, then after displaying it, the initialization should be performed as in the example below.
document.querySelectorAll('.form-outline').forEach((formOutline) => {
new Input(formOutline).init();
});
document.querySelectorAll('.form-outline').forEach((formOutline) => {
new mdb.Input(formOutline).init();
});

Angular Bootstrap inputs
Angular Inputs - Bootstrap 4 & Material Design
Angular Bootstrap inputs are a special fields which are used in order to receive data from the user. Used mostly in a variety of web-based forms.
All of them are created in beautiful, material design style.
MDB Angular supports the following types of inputs: button, checkbox, email, file, hidden, number, password, radio, range, reset, search, submit, tel, text, textarea.
Examples
Input field
<div class="md-form">
<input mdbInput type="text" id="form1" class="form-control">
<label for="form1" class="">Example label</label>
</div>
Two-way data binding
Look at me:
<div class="md-form">
<input mdbInput type="text" name="text" [(ngModel)]="text" id="form1" class="form-control">
<label for="form1" class="">Example label</label>
<p>Look at me! {{text}}</p>
</div>
import { Component } from '@angular/core';
@Component({
selector: 'two-way-component',
templateUrl: './two-way.component.html',
styleUrls: ['./two-way.component.scss']
})
export class TwoWayComponent {
text: string;
}
Small input
<div class="md-form form-sm">
<input mdbInput type="text" id="form1" class="form-control form-control-sm">
<label for="form1" class="">Example label</label>
</div>
Icon Prefixes
<div class="md-form">
<i class="fas fa-envelope prefix"></i>
<input mdbInput type="text" id="form2" class="form-control">
<label for="form2">Example label</label>
</div>
Placeholder
<div class="md-form">
<input mdbInput placeholder="Placeholder" type="text" id="form58" class="form-control">
<label for="form58">Example label</label>
</div>
Prefilling Text Inputs
<div class="md-form">
<input value="John Doe" type="text" id="form6" class="form-control" mdbInput>
<label for="form6">Example label</label>
</div>
Error or Success Messages
minLength, maxLength
defines minimum and maximum input length.
data-error, data-success
provides space to enter your's custom error or success message.
Use can now use [errorMessage]
and [successMessage]
inputs to add custom messages as
strings or to pass variables defined in your typescript file. Those inputs will only work when data-error
and data-success
attributes are not available.
If you do not want to use the validation, use [mdbValidation]="false"
on the input
element, which should not display the validation status. Use [validateSuccess]="false"
or [validateError]="false"
to disable only one type of message.
<form [formGroup]="validationForm">
<div class="md-form">
<i class="fa fa-envelope prefix"></i>
<input mdbInput mdbValidate formControlName="emailFormEx" minLength="8" maxLength="25" type="email"
class="form-control" id="form9">
<label for="form9">Type your e-mail</label>
<mdb-error *ngIf="emailFormEx.invalid && (emailFormEx.dirty || emailFormEx.touched)">Input invalid</mdb-error>
<mdb-success *ngIf="emailFormEx.valid && (emailFormEx.dirty || emailFormEx.touched)">Input valid</mdb-success>
</div>
<div class="md-form">
<i class="fa fa-lock prefix"></i>
<input mdbInput mdbValidate formControlName="passwordFormEx" minLength="10" maxLength="25" type="password"
class="form-control" id="form10">
<label for="form10">Type your password</label>
<mdb-error *ngIf="passwordFormEx.invalid && (passwordFormEx.dirty || passwordFormEx.touched)">Input invalid
</mdb-error>
<mdb-success *ngIf="passwordFormEx.valid && (passwordFormEx.dirty || passwordFormEx.touched)">Input valid
</mdb-success>
</div>
</form>
import { FormControl, Validators, FormBuilder } from '@angular/forms';
import { Component } from '@angular/core';
@Component({
selector: 'error-success-message',
templateUrl: './error-success-message.component.html',
styleUrls: ['./error-success-message.component.scss'],
})
export class ErrorSuccessMessageComponent {
validationForm: FormGroup;
constructor(public fb: FormBuilder) {
this.validationForm = fb.group({
emailFormEx: [null, [Validators.required, Validators.email]],
passwordFormEx: [null, Validators.required],
});
}
get emailFormEx() { return this.validationForm.get('emailFormEx'); }
get passwordFormEx() { return this.validationForm.get('passwordFormEx'); }
}
Disabled input
Add the
disabled
boolean attribute on an input to prevent user interactions.
To use
not-allowed
cursor add
.disabled
class to the label.
<div class="md-form form-sm">
<input type="text" id="form11" class="form-control" disabled>
<label for="form11" class="disabled">Example label</label>
</div>
Form layouts
Since Bootstrap applies
display: block
and
width: 100%
to almost all our form controls, forms will by default stack vertically. Additional
classes
can be used to vary this layout on a per-form basis.
Form groups
The
.form-group
class is the easiest way to add some structure to forms. It provides a flexible class that
encourages proper
grouping of labels, controls, optional help text, and form validation messaging. By default it only applies
margin-bottom
, but it picks up additional styles in
.form-inline
as needed. Use it with
<fieldset>
s,
<div>
s, or nearly any other element.
<!-- Material form group -->
<form>
<!-- Material input -->
<div class="md-form form-group mt-5">
<input mdbInput type="text" class="form-control" id="formGroupExampleInputMD" placeholder="Example input">
<label for="formGroupExampleInputMD">Example label</label>
</div>
<!-- Material input -->
<div class="md-form form-group mt-5">
<input mdbInput type="text" class="form-control" id="formGroupExampleInput2MD" placeholder="Another input">
<label for="formGroupExampleInput2MD">Another label</label>
</div>
</form>
<!-- Material form group -->
Form grid
More complex forms can be built using our grid classes. Use these for form layouts that require multiple columns, varied widths, and additional alignment options.
<!-- Material form grid -->
<form>
<!-- Grid row -->
<div class="row">
<!-- Grid column -->
<div class="col">
<!-- Material input -->
<div class="md-form mt-0">
<input mdbInput type="text" class="form-control" placeholder="First name">
</div>
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col">
<!-- Material input -->
<div class="md-form mt-0">
<input mdbInput type="text" class="form-control" placeholder="Last name">
</div>
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
</form>
<!-- Material form grid -->
Form row
You may also swap
.row
for
.form-row
, a variation of our standard grid row that overrides the default column gutters for tighter
and more compact
layouts.
<!-- Material form row -->
<form>
<!-- Grid row -->
<div class="form-row">
<!-- Grid column -->
<div class="col">
<!-- Material input -->
<div class="md-form mt-0">
<input type="text" class="form-control" placeholder="First name">
</div>
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col">
<!-- Material input -->
<div class="md-form mt-0">
<input type="text" class="form-control" placeholder="Last name">
</div>
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
</form>
<!-- Material form row -->
<!-- Default form row -->
<form>
<!-- Grd row -->
<div class="form-row">
<!-- Grid column -->
<div class="col">
<!-- Default input -->
<input mdbInput type="text" class="form-control" placeholder="First name">
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col">
<!-- Default input -->
<input mdbInput type="text" class="form-control" placeholder="Last name">
</div>
<!-- Grid column -->
</div>
<!-- Grd row -->
</form>
<!-- Default form row -->
More complex layouts can also be created with the grid system.
<!-- Extended material form grid -->
<form>
<!-- Grid row -->
<div class="form-row">
<!-- Grid column -->
<div class="col-md-6">
<!-- Material input -->
<div class="md-form form-group">
<input mdbInput type="email" class="form-control" id="inputEmail4MD" placeholder="Email">
<label for="inputEmail4MD">Email</label>
</div>
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-md-6">
<!-- Material input -->
<div class="md-form form-group">
<input mdbInput type="password" class="form-control" id="inputPassword4MD" placeholder="Password">
<label for="inputPassword4MD">Password</label>
</div>
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
<!-- Grid row -->
<div class="row">
<!-- Grid column -->
<div class="col-md-12">
<!-- Material input -->
<div class="md-form form-group">
<input mdbInput type="text" class="form-control" id="inputAddressMD" placeholder="1234 Main St">
<label for="inputAddressMD">Address</label>
</div>
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-md-12">
<!-- Material input -->
<div class="md-form form-group">
<input mdbInput type="text" class="form-control" id="inputAddress2MD" placeholder="Apartment, studio, or floor">
<label for="inputAddress2MD">Address 2</label>
</div>
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
<!-- Grid row -->
<div class="form-row">
<!-- Grid column -->
<div class="col-md-6">
<!-- Material input -->
<div class="md-form form-group">
<input mdbInput type="text" class="form-control" id="inputCityMD" placeholder="New York City">
<label for="inputCityMD">City</label>
</div>
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-md-6">
<!-- Material input -->
<div class="md-form form-group">
<input mdbInput type="text" class="form-control" id="inputZipMD" placeholder="11206-1117">
<label for="inputZipMD">Zip</label>
</div>
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
<button type="submit" class="btn btn-primary btn-md">Sign in</button>
</form>
<!-- Extended material form grid -->
<!-- Extended default form grid -->
<form>
<!-- Grid row -->
<div class="form-row">
<!-- Default input -->
<div class="form-group col-md-6">
<input mdbInput type="email" class="form-control" id="inputEmail4" placeholder="Email">
<label for="inputEmail4">Email</label>
</div>
<!-- Default input -->
<div class="form-group col-md-6">
<input mdbInput type="password" class="form-control" id="inputPassword4" placeholder="Password">
<label for="inputPassword4">Password</label>
</div>
</div>
<!-- Grid row -->
<!-- Default input -->
<div class="form-group">
<input mdbInput type="text" class="form-control" id="inputAddress" placeholder="1234 Main St">
<label for="inputAddress">Address</label>
</div>
<!-- Default input -->
<div class="form-group">
<input mdbInput type="text" class="form-control" id="inputAddress2" placeholder="Apartment, studio, or floor">
<label for="inputAddress2">Address 2</label>
</div>
<!-- Grid row -->
<div class="form-row">
<!-- Default input -->
<div class="form-group col-md-6">
<input mdbInput type="text" class="form-control" id="inputCity" placeholder="New York City">
<label for="inputCity">City</label>
</div>
<!-- Default input -->
<div class="form-group col-md-6">
<input mdbInput type="text" class="form-control" id="inputZip" placeholder="11206-1117">
<label for="inputZip">Zip</label>
</div>
</div>
<!-- Grid row -->
<button type="submit" class="btn btn-primary btn-md">Sign in</button>
</form>
<!-- Extended default form grid -->
Horizontal form
Create horizontal forms with the grid by adding the
.row
class to form groups and using the
.col-*-*
classes to specify the width of your labels and controls. Be sure to add
.col-form-label
to your
<label>
s as well so they’re vertically centered with their associated form controls.
At times, you maybe need to use margin or padding utilities to create that perfect alignment you need. For
example,
we’ve removed the
padding-top
on our stacked radio inputs label to better align the text baseline.
<!-- Horizontal material form -->
<form>
<!-- Grid row -->
<div class="form-group row">
<!-- Material input -->
<label for="inputEmail3MD" class="col-sm-2 col-form-label">Email</label>
<div class="col-sm-10">
<div class="md-form mt-0">
<input mdbInput type="email" class="form-control" id="inputEmail3MD" placeholder="Email">
</div>
</div>
</div>
<!-- Grid row -->
<!-- Grid row -->
<div class="form-group row">
<!-- Material input -->
<label for="inputPassword3MD" class="col-sm-2 col-form-label">Password</label>
<div class="col-sm-10">
<div class="md-form mt-0">
<input mdbInput type="password" class="form-control" id="inputPassword3MD" placeholder="Password">
</div>
</div>
</div>
<!-- Grid row -->
<!-- Grid row -->
<div class="form-group row">
<div class="col-sm-10">
<button type="submit" class="btn btn-primary btn-md">Sign in</button>
</div>
</div>
<!-- Grid row -->
</form>
<!-- Horizontal material form -->
<!-- Default horizontal form -->
<form>
<!-- Grid row -->
<div class="form-group row">
<!-- Default input -->
<label for="inputEmail3" class="col-sm-2 col-form-label">Email</label>
<div class="col-sm-10">
<input mdbInput type="email" class="form-control" id="inputEmail3" placeholder="Email">
</div>
</div>
<!-- Grid row -->
<!-- Grid row -->
<div class="form-group row">
<!-- Default input -->
<label for="inputPassword3" class="col-sm-2 col-form-label">Password</label>
<div class="col-sm-10">
<input mdbInput type="password" class="form-control" id="inputPassword3" placeholder="Password">
</div>
</div>
<!-- Grid row -->
<!-- Grid row -->
<div class="form-group row">
<div class="col-sm-10">
<button type="submit" class="btn btn-primary btn-md">Sign in</button>
</div>
</div>
<!-- Grid row -->
</form>
<!-- Default horizontal form -->
Column sizing
As shown in the previous examples, our grid system allows you to place any number of
.col
s within a
.row
or
.form-row
. They’ll split the available width equally between them. You may also pick a subset of your
columns to take
up more or less space, while the remaining
.col
s equally split the rest, with specific column classes like
.col-7
.
<!-- Material column sizing form -->
<form>
<!-- Grid row -->
<div class="form-row">
<!-- Grid column -->
<div class="col-7">
<!-- Material input -->
<div class="md-form">
<input mdbInput type="text" class="form-control" placeholder="City">
</div>
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col">
<!-- Material input -->
<div class="md-form">
<input mdbInput type="text" class="form-control" placeholder="State">
</div>
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col">
<!-- Material input -->
<div class="md-form">
<input mdbInput type="text" class="form-control" placeholder="Zip">
</div>
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
</form>
<!-- Material column sizing form -->
<!-- Default column sizing form -->
<form>
<!-- Grid row -->
<div class="form-row">
<!-- Grid column -->
<div class="col-7">
<!-- Default input -->
<input mdbInput type="text" class="form-control" placeholder="City">
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col">
<!-- Default input -->
<input mdbInput type="text" class="form-control" placeholder="State">
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col">
<!-- Default input -->
<input mdbInput type="text" class="form-control" placeholder="Zip">
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
</form>
<!-- Default column sizing form -->
Auto-sizing
The example below uses a flexbox utility to vertically center the contents and changes
.col
to
.col-auto
so that your columns only take up as much space as needed. Put another way, the column sizes
itself based on
the contents.
<!-- Material auto-sizing form -->
<form>
<!-- Grid row -->
<div class="form-row align-items-center">
<!-- Grid column -->
<div class="col-auto">
<!-- Material input -->
<div class="md-form">
<input mdbInput type="text" class="form-control mb-2" id="inlineFormInputMD" placeholder="Jane Doe">
<label class="sr-only" for="inlineFormInputMD">Name</label>
</div>
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-auto">
<!-- Material input -->
<label class="sr-only" for="inlineFormInputGroupMD">Username</label>
<div class="md-form input-group mb-3">
<div class="input-group-prepend">
<span class="input-group-text md-addon">@</span>
</div>
<input mdbInput type="text" class="form-control pl-0 rounded-0" id="inlineFormInputGroupMD" placeholder="Username">
</div>
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-auto">
<button type="submit" class="btn btn-primary mb-0">Submit</button>
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
</form>
<!-- Material auto-sizing form -->
<!-- Default auto-sizing form -->
<form>
<!-- Grid row -->
<div class="form-row align-items-center">
<!-- Grid column -->
<div class="col-auto">
<!-- Default input -->
<label class="sr-only" for="inlineFormInput">Name</label>
<input mdbInput type="text" class="form-control mb-2" id="inlineFormInput" placeholder="Jane Doe">
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-auto">
<!-- Default input -->
<label class="sr-only" for="inlineFormInputGroup">Username</label>
<div class="input-group mb-2">
<div class="input-group-prepend">
<div class="input-group-text">@</div>
</div>
<input mdbInput type="text" class="form-control py-0" id="inlineFormInputGroup" placeholder="Username">
</div>
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-auto">
<button type="submit" class="btn btn-primary btn-md mt-0">Submit</button>
</div>
</div>
<!-- Grid row -->
</form>
<!-- Default auto-sizing form -->
Inline forms
Use the
.form-inline
class to display a series of labels, form controls, and buttons on a single horizontal
row. Form controls within
inline forms vary slightly from their default states.
- Controls are
display: flex
, collapsing any HTML white space and allowing you to provide alignment control with spacing and flexbox utilities. - Controls and input groups receive
width: auto
to override the Bootstrap defaultwidth: 100%
. - Controls only appear inline in viewports that are at least 576px wide to account for narrow viewports on mobile devices.
You may need to manually address the width and alignment of individual form controls with
spacing utilities (as shown below). Lastly, be
sure to always include a
<label>
with each form control, even if you need to hide it from non-screenreader visitors with
.sr-only
.
<!-- Material inline form -->
<form class="form-inline">
<!-- Material input -->
<div class="md-form">
<input mdbInput type="text" class="form-control mb-2 mr-sm-2" id="inlineFormInputName2MD" placeholder="Jane Doe">
<label class="sr-only" for="inlineFormInputName2MD">Name</label>
</div>
<!-- Material input -->
<label class="sr-only" for="inlineFormInputGroupUsername2MD">Username</label>
<div class="md-form input-group mb-3">
<div class="input-group-prepend">
<span class="input-group-text md-addon">@</span>
</div>
<input mdbInput type="text" class="form-control pl-0 rounded-0" id="inlineFormInputGroupUsername2MD" placeholder="Username">
</div>
<!-- Checkbox -->
<div class="form-check mb-2 mr-sm-2">
<input mdbInput class="form-check-input" type="checkbox" id="inlineFormCheckMD">
<label class="form-check-label" for="inlineFormCheckMD">
Remember me
</label>
</div>
<button type="submit" class="btn btn-primary mb-0">Submit</button>
</form>
<!-- Material inline form -->
<!-- Default inline form -->
<form class="form-inline">
<!-- Default input -->
<label class="sr-only" for="inlineFormInputName2">Name</label>
<input mdbInput type="text" class="form-control mb-2 mr-sm-2" id="inlineFormInputName2" placeholder="Jane Doe">
<!-- Default input -->
<label class="sr-only" for="inlineFormInputGroupUsername2">Username</label>
<div class="input-group mb-2 mr-sm-2">
<div class="input-group-prepend">
<div class="input-group-text">@</div>
</div>
<input mdbInput type="text" class="form-control py-0" id="inlineFormInputGroupUsername2" placeholder="Username">
</div>
<!-- Checkbox -->
<div class="form-check mb-2 mr-sm-2">
<input mdbInput class="form-check-input" type="checkbox" id="inlineFormCheck">
<label class="form-check-label" for="inlineFormCheck">
Remember me
</label>
</div>
<button type="submit" class="btn btn-primary btn-md mt-0">Submit</button>
</form>
<!-- Default inline form -->
Numeric input
Press the Shift key and then the Arrow Up / Arrow Down key to change the input value by + 10 / - 10.
Press the Alt key and then the Arrow Up / Arrow Down key to change the input value by + 0.1 / - 0.1.
Above functionality is possible by adding the mdbInput to the input element.
<div class="md-form">
<input type="number" class="form-control" id="numberInputEx" mdbInput>
<label for="numberInputEx">Number input</label>
</div>
Character counter MDB Pro component
Use a character counter in fields where a character restriction is in place.
Input field
<div class="md-form">
<input id="input_text" class="form-control" type="text" length="10" mdbCharCounter mdbInput>
<label for="input_text">Input text</label>
</div>
Textarea
<div class="md-form">
<textarea class="md-textarea form-control " rows="3" id="input_text" type="text" length="120" mdbCharCounter mdbInput></textarea>
<label for="input_text">Type your text</label>
</div>
Outline inputs - Material 2.0
New Material 2.0 styles of inputs
Input field
<!-- Material outline input -->
<div class="md-form md-outline">
<input type="text" id="form1" class="form-control" mdbInput>
<label for="form1">Example label</label>
</div>
Large outline input
<!-- Large outline input -->
<div class="md-form md-outline form-lg">
<input id="form-lg" class="form-control form-control-lg" type="text" mdbInput>
<label for="form-lg">Example label</label>
</div>
Small outline input
<!-- Small outline input -->
<div class="md-form md-outline form-sm">
<input id="form-sm" class="form-control form-control-sm" type="text" mdbInput>
<label for="form-sm">Example label</label>
</div>
Prefix
<div class="md-form md-outline">
<mdb-icon fas icon="envelope"></mdb-icon>
<input type="text" id="inputIconEx1" class="form-control" mdbInput>
<label for="inputIconEx1">E-mail address</label>
<small id="emailHelp2" class="form-text text-muted">We'll never share your email with anyone.</small>
</div>
Character counter
<!-- Material outline counter input -->
<div class="md-form md-outline">
<input id="input-char-counter1" type="text" length="10" class="form-control" mdbCharCounter mdbInput>
<label for="input-char-counter1">Input text</label>
</div>
Disabled
<!-- Material outline disabled input -->
<div class="md-form md-outline">
<input type="text" id="inputDisabledEx13" class="form-control" disabled mdbInput>
<label for="inputDisabledEx13" class="disabled">Example label</label>
</div>
Validation
<!-- Outline validation input -->
<div class="md-form md-outline">
<input mdbInput mdbValidate name="email" type="email" id="form8" class="form-control" [(ngModel)]="email" #input="ngModel" required pattern="[^ @]*@[^ @]*">
<label for="form2">Email validator</label>
<mdb-error *ngIf="input.invalid && (input.dirty || input.touched)">Input invalid</mdb-error>
<mdb-success *ngIf="input.valid && (input.dirty || input.touched)">Input valid</mdb-success>
</div>
<!-- Outline validation input -->
<div class="md-form md-outline">
<input mdbInput mdbValidate name="input2" type="password" id="form2" class="form-control" [(ngModel)]="minLength" #input2="ngModel" required minlength="3">
<label for="form2">password validator</label>
<mdb-error *ngIf="input2.invalid && (input2.dirty || input2.touched)">Input invalid</mdb-error>
<mdb-success *ngIf="input2.valid && (input2.dirty || input2.touched)">Input valid</mdb-success>
</div>
Textarea
<!--Material textarea-->
<div class="md-form md-outline">
<textarea type="text" id="form75" class="form-control md-textarea" rows="3" mdbInput></textarea>
<label for="form75">Material textarea</label>
</div>
Angular Inputs - API
In this section you will find informations about required modules and available inputs, outputs, methods and events of inputs components.
Modules used
In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.
API Reference for MDB Angular Inputs:
// MDB Angular Pro
import { InputsModule, WavesModule, ButtonsModule } from 'ng-uikit-pro-standard'
// For Char Counter
import { CharCounterModule } from 'ng-uikit-pro-standard'
// MDB Angular Free
import { InputsModule, WavesModule, ButtonsModule } from 'angular-bootstrap-md'

Input fields

Vue Bootstrap 5 Input fields

Vue Input fields refer specifically to the text input fields, which are used to obtain data from the users.


Basic example

A basic example of the input field consists of the MDBInput component with specified label property and v-model directive for creating two-way data bindings.

        
            
            <template>
              <MDBInput label="Example label" v-model="input1" />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBInput,
                },
                setup() {
                  const input1 = ref('');

                  return {
                    input1,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const input1 = ref('');
            </script>
          
        
    

Sizing

Set heights using size property like size="lg" or size="sm".



        
            
            <template>
              <MDBInput label="Form control lg" size="lg" />
              <MDBInput label="Form control default" />
              <MDBInput label="Form control sm" size="sm" />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBInput,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Disabled

Add the disabled boolean attribute on a component to give it a grayed out appearance and remove pointer events.

        
            
            <template>
              <MDBInput label="Disabled" disabled aria-label="disabled input example" />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBInput,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Readonly

Add the readonly boolean attribute on a component to prevent modification of the input’s value. Read-only inputs appear lighter (just like disabled inputs), but retain the standard cursor.

        
            
          <template>
            <MDBInput label="Readonly" readonly />
          </template>
        
        
    
        
            
          <script>
            import { MDBInput } from "mdb-vue-ui-kit";

            export default { 
              components: { 
                MDBInput 
              } 
            };
          </script>
        
        
    
        
            
          <script setup lang="ts">
            import { MDBInput } from "mdb-vue-ui-kit";
          </script>
        
        
    

Types

Input types let you specified what data users should provide and help you validate it.

Text

        
            
              <template>
                <MDBInput label="Text input" type="text" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBInput,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
              </script>
            
        
    

Email

        
            
              <template>
                <MDBInput label="Email input" type="email" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBInput,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
              </script>
            
        
    

Password

        
            
              <template>
                <MDBInput label="Password input" type="password" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBInput,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
              </script>
            
        
    

Number

        
            
              <template>
                <MDBInput label="Number input" type="number" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBInput,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
              </script>
            
        
    

Phone number

        
            
              <template>
                <MDBInput label="Phone number input" type="tel" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBInput,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
              </script>
            
        
    

URL

        
            
              <template>
                <MDBInput label="URL input" type="url" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBInput,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
              </script>
            
        
    

Textarea

        
            
              <template>
                <MDBTextarea label="Message" rows="4" v-model="textareaValue" />
              </template>
            
        
    
        
            
              <script>
                import { MDBTextarea } from 'mdb-vue-ui-kit';
                
                export default {
                  components: {
                    MDBTextarea,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBTextarea } from 'mdb-vue-ui-kit';
              </script>
            
        
    

Text

Block-level or inline-level form text can be created using .form-text.

Associating form text with form controls
Form text should be explicitly associated with the form control it relates to using the aria-describedby attribute. This will ensure that assistive technologies—such as screen readers—will announce this form text when the user focuses or enters the control.

Form text below inputs can be added with formText property. If a block-level element will be used, a top margin is added for easy spacing from the inputs above.

We'll never share your email with anyone else.
        
            
            <template>
              <MDBInput
                label="Example label"
                aria-describedby="textExample1"
                formText="We'll never share your email with anyone else."
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBInput
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Inline text can use any typical inline HTML element (be it a <span>, <small>, or something else) with nothing more than the .form-text class.

Must be 8-20 characters long.
        
            
            <template>
              <div class="row g-3 align-items-center">
                <MDBInput
                  wrapperClass="col-auto"
                  label="Password"
                  id="formTextExample2"
                  aria-describedby="textExample2"
                />
                <div class="col-auto">
                  <span id="textExample2" class="form-text"> Must be 8-20 characters long. </span>
                </div>
              </div>
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBInput
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Helper text

Add helper property with text to the input to create helper text.

Example helper
        
            
            <template>
              <MDBInput label="Example label" helper="Example helper" />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBInput
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from "mdb-vue-ui-kit";
            </script>
          
        
    

Character counter

Add counter property and set the maxlength property to create a counter.

        
            
            <template>
              <MDBInput counter :maxlength="20" label="Example label" />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBInput
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from "mdb-vue-ui-kit";
            </script>
          
        
    

Icons

Trailing icon

Add class trailing to MDBIcon component to create trailing icon in the input.

        
            
              <template>
                <MDBInput
                  type="text"
                  id="form1"
                  class="form-icon-trailing"
                  label="Example label"
                >
                  <MDBIcon icon="exclamation-circle" class="trailing"></MDBIcon>
                </MDBInput>
              </template>
            
        
    
        
            
              <script>
                import { MDBInput, MDBIcon } from "mdb-vue-ui-kit";

                export default {
                  components: {
                    MDBInput,
                    MDBIcon
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput, MDBIcon } from "mdb-vue-ui-kit";
              </script>
            
        
    

Dark background

When placing an input on the dark background add white propery to provide proper contrast.

        
            
            <template>
              <MDBInput label="Example label" white />
            </template>
          
        
    
        
            
            <script>
              import { MDBInput } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBInput,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBInput } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Input fields - API


Import

        
            
          <script>
            import {
              MDBInput, 
              MDBTextarea
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Input

Property Type Default Description
counter Boolean false Adds character counter as helper text. Must be used with "maxlength" property
helper String "" Adds helper text
label String "" Changes input label
maxlength Number 0 Sets max charactes count for input elementl
size String "" Changes input size
wrapperClass String "" Changes input wrapper classes
formText String "" Changes input additional text
white Boolean false Changes input skin to dark
tag String "div" Changes input wrapper tag
v-model String | Number "" Changes input value with two-way data binding
required Boolean "" Adds required attribute to input element
validationEvent Boolean Add validation on given event to element
isValidated Boolean false Marks element as validated.
isValid Boolean "" Sets element as valid or invalid
validFeedback String "" Sets valid status feedback for validated element
invalidFeedback String "" Sets invalid status feedback for validated element
tooltipFeedback Boolean false Display validation feedback in a styled tooltip

Textarea

Property Type Default Description
label String "" Changes textarea label
size String "" Changes textarea size
wrapperClass String "" Changes textarea wrapper classes
formText String "" Changes textarea additional text
white Boolean false Changes textarea skin to dark
tag String "div" Changes textarea wrapper tag
rows String | Number 4 Changes textarea rows number
v-model String | Number "" Changes textarea value with two-way data binding
required Boolean "" Adds required attribute to textarea element
validationEvent Boolean Add validation on given event to element
isValidated Boolean false Marks element as validated.
isValid Boolean "" Sets element as valid or invalid
validFeedback String "" Sets valid status feedback for validated element
invalidFeedback String "" Sets invalid status feedback for validated element
tooltipFeedback Boolean false Display validation feedback in a styled tooltip

Input fields

React Bootstrap 5 Input fields component

Input fields refer specifically to the text input fields, which are used to obtain data from the users.


Basic example

A basic example of the input field consists of the input element with specified ID and label element connected via this ID with the input. Both elements are wrapped in .form-outline class which provides a material design look.

        
            
            import React from 'react';
            import { MDBInput } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBInput label='Example label' id='form1' type='text' />
              );
            }
          
        
    

Controlled value

Add value property to set the value of the input field. You can also use the onChange event to handle the value change.

        
            
            import React, { useState } from 'react';
            import { MDBInput } from 'mdb-react-ui-kit';
    
            export default function App() {
              const [value, setValue] = useState('');
              
              return (
                <MDBInput
                  value={value}
                  onChange={(e) => setValue(e.target.value)}
                  label='Controlled value'
                  id='controlledValue'
                  type='text'
                />
              );
            }
          
        
    

Sizing

Set heights using properties like size="lg" and size="sm".



        
            
            import React from 'react';
            import { MDBInput } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <div>
                  <MDBInput label='Form control lg' id='formControlLg' type='text' size='lg' />
                  <br />
                  <MDBInput label='Form control default' id='formControlDefault' type='text' />
                  <br />
                  <MDBInput label='Form control sm' id='formControlSm' type='text' size='sm' />
                </div>
              );
            }
          
        
    

Disabled

Add the disabled boolean property on an input to give it a grayed out appearance and remove pointer events.

        
            
            import React from 'react';
            import { MDBInput } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBInput label='Disabled' id='formControlDisabled' type='text' disabled />
              );
            }
          
        
    

Readonly

Add the readonly boolean property on an input to prevent modification of the input’s value. Read-only inputs appear lighter (just like disabled inputs), but retain the standard cursor.

        
            
            import React from 'react';
            import { MDBInput } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBInput
                  label='Readonly'
                  placeholder='Readonly input here...'
                  id='formControlReadOnly'
                  type='text'
                  readonly
                />
              );
            }
          
        
    

Types

Input types let you specified what data users should provide and help you validate it.

Text

        
            
              import React from 'react';
              import { MDBInput } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBInput label='Text input' id='typeText' type='text' />
                );
              }
            
        
    

Email

        
            
              import React from 'react';
              import { MDBInput } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBInput label='Email input' id='typeEmail' type='email' />
                );
              }
            
        
    

Password

        
            
              import React from 'react';
              import { MDBInput } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBInput label='Password input' id='typePassword' type='password' />
                );
              }
            
        
    

Number

        
            
              import React from 'react';
              import { MDBInput } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBInput label='Number input' id='typeNumber' type='number' />
                );
              }
            
        
    

Phone number

        
            
              import React from 'react';
              import { MDBInput } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBInput label='Phone number input' id='typePhone' type='tel' />
                );
              }
            
        
    

URL

        
            
              import React from 'react';
              import { MDBInput } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBInput label='URL input' id='typeURL' type='url' />
                );
              }
            
        
    

Textarea

        
            
              import React from 'react';
              import { MDBTextArea } from 'mdb-react-ui-kit';
      
              export default function App() {
                return (
                  <MDBTextArea label='Message' id='textAreaExample' rows={4} />
                );
              }
            
        
    

Text

Block-level or inline-level form text can be created using .form-text.

Associating form text with form controls
Form text should be explicitly associated with the form control it relates to using the aria-describedby attribute. This will ensure that assistive technologies—such as screen readers—will announce this form text when the user focuses or enters the control.

Form text below inputs can be styled with .form-text. If a block-level element will be used, a top margin is added for easy spacing from the inputs above.

We'll never share your email with anyone else.
        
            
            import React from 'react';
            import { MDBInput } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <div>
                  <MDBInput label='Example label' id='formTextExample1' type='text' aria-describedby='textExample1' />
                  <div id='textExample1' className='form-text'>
                    We'll never share your email with anyone else.
                  </div>
                </div>
              );
            }
          
        
    

Inline text can use any typical inline HTML element (be it a <span>, <small>, or something else) with nothing more than the .form-text class.

Must be 8-20 characters long.
        
            
            import React from 'react';
            import { MDBInput, MDBRow, MDBCol } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <div>
                  <MDBRow className='g-3 align-items-center'>
                    <MDBInput
                      wrapperClass='col-auto'
                      label='Password'
                      type='text'
                      id='formTextExample2'
                      aria-describedby='textExample2'
                    />
                    <MDBCol size="auto">
                      <span id='textExample2' className='form-text'>
                        Must be 8-20 characters long.
                      </span>
                    </MDBCol>
                  </MDBRow>
                </div>
              );
            }
          
        
    

Dark background

When placing an input on the dark background add contrast property to provide proper contrast.

        
            
            import React from 'react';
            import { MDBInput } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBInput label='Example label' type='text' id='formWhite' contrast />
              );
            }
          
        
    

Input fields - API


Import

        
            
            import { MDBInput, MDBTextArea } from 'mdb-react-ui-kit';
          
        
    

Properties

MDBInput

Name Type Default Description Example
contrast boolean '' Sets the dark background for the MDBInput <MDBInput contrast type="text" id="inputExample" />
defaultValue string '' Default value of the input <MDBInput defaultValue='test' />
disabled string '' Makes the MDBInput disabled <MDBInput disabled type="text" id="inputExample" />
id string '' Defines an id for the MDBInput <MDBInput type="text" id="inputExample" />
ref React.RefObject undefined Reference to input element <MDBInput ref={inputReference} />
label React.ReactNode '' Defines a label text for the MDBInput <MDBInput label="Example label" type="text" id="inputExample" />
labelId string '' Defines an id for the label <MDBInput label="Example label" labelId="exampleLabel" type="text" id="inputExample" />
labelClass string '' Adds custom classes to the label <MDBInput label="Example label" labelId="exampleLabel" labelClass="test-class" type="text" id="inputExample" />
labelRef React.RefObject undefined Reference to label element <MDBInput labelRef={labelReference}
labelStyle React.CSSProperties undefined Adds custom styles to the label <MDBInput label="Example label" labelStyle={{color: 'red'}} />
name string '' Specifies the name for the MDBInput <MDBInput name="sampleName" type="text" id="inputExample" />
readonly boolean false Makes the MDBInput read only <MDBInput readonly type="text" id="inputExample" />
size string '' Sets the size of the MDBInput <MDBInput size="lg" type="text" id="inputExample" />
value string '' Sets the value for the MDBInput <MDBInput value="Example value" type="text" id="inputExample" />
wrapperTag string '' Defines a tag type for the wrapper of the MDBInput <MDBInput wrapperTag="span" id="exampleID" type="text" id="inputExample" />
wrapperClass string '' Adds custom classes to the wrapper of the MDBInput <MDBInput wrapperClass="custom-class" type="text" id="inputExample" />
wrapperStyle React.CSSProperties undefined Adds custom styles to the wrapper <MDBInput label="Example label" wrapperStyle={{color: 'red'}} />

MDBTextArea

Name Type Default Description Example
cols number undefined Textarea cols number <MDBTextArea cols={3} />
rows number undefined Textarea rows number <MDBTextArea rows={3} />